Cross Reference Lookups

List Cross Reference Lookups

get

Retrieves a paginated list of cross reference lookups. Can be filtered by name.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups

Create Cross Reference Lookup

post

Creates a new cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
descriptionstringRequired
default_valuestring · nullableOptional
namestringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/cross-reference-lookups

Install Cross Reference Lookup

post

Installs a standard cross reference lookup from a template, such as ISO currency code or country code conversions.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
crossReferenceLookupTemplatestringRequired

The crossReferenceLookupTemplate identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{crossReferenceLookupTemplate}/install

Upload Cross Reference Lookup

post

Uploads a given cross reference lookup to your private marketplace.

This operation requires administrator permissions. If you are authorising requests with an API key, this request won't work (company-level API keys are associated with manager-level permissions). If you are an administrator, you can use OAuth 2 credentials to complete this operation. For more information please see our Authenticationarrow-up-right section.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
crossReferenceLookupstringRequired

The crossReferenceLookup identifier.

Body
privatestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{crossReferenceLookup}/upload

Get Cross Reference Lookup

get

Retrieves the details of a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Update Cross Reference Lookup

put

Updates an existing cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
descriptionstringOptional
default_valuestring · nullableOptional
namestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Delete Cross Reference Lookup

delete

Permanently deletes a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/cross-reference-lookups/{cross_reference_lookup}

Clear Cross Reference Lookup

post

Removes all values from a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

No content

post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/clear

No content

List Cross Reference Lookup Values

get

Retrieves a paginated list of values for a specific cross reference lookup. Can be filtered by left_value and right_value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values

Create Cross Reference Lookup Value

post

Creates a new value for a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values

Import Cross Reference Lookup Value

post

Imports values into a specific cross reference lookup from a CSV file containing left_value and right_value columns.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
values_filestringRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/import

Get Cross Reference Lookup Value

get

Retrieves the details of a specific cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Update Cross Reference Lookup Value

put

Updates an existing cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Delete Cross Reference Lookup Value

delete

Permanently deletes a specific cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}

Download Cross Reference Lookup

get

Triggers the download of a specific cross reference lookup as a CSV file with left_value and right_value columns. The file is added to the File Downloads section in General Settings.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/cross-reference-lookups/{cross_reference_lookup}/download

Last updated

Was this helpful?